Package com.independentsoft.office.drawing

# Enum Class PresetLineDash

java.lang.Object
java.lang.Enum<PresetLineDash>
com.independentsoft.office.drawing.PresetLineDash

All Implemented Interfaces:
  `Serializable`, `Comparable<PresetLineDash>`, `Constable`

public enum PresetLineDash extends Enum<PresetLineDash>
The Enum PresetLineDash.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DASH`
  `DASH_DOT`
  `DOT`
  `LARGE_DASH`
  `LARGE_DASH_DOT`
  `LARGE_DASH_DOT_DOT`
  `NONE`
  `SOLID`
  `SYSTEM_DASH`
  `SYSTEM_DASH_DOT`
  `SYSTEM_DASH_DOT_DOT`
  `SYSTEM_DOT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PresetLineDash`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PresetLineDash[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DASH

    public static final PresetLineDash DASH

  - ### DASH_DOT

    public static final PresetLineDash DASH_DOT

  - ### DOT

    public static final PresetLineDash DOT

  - ### LARGE_DASH

    public static final PresetLineDash LARGE_DASH

  - ### LARGE_DASH_DOT

    public static final PresetLineDash LARGE_DASH_DOT

  - ### LARGE_DASH_DOT_DOT

    public static final PresetLineDash LARGE_DASH_DOT_DOT

  - ### SOLID

    public static final PresetLineDash SOLID

  - ### SYSTEM_DASH

    public static final PresetLineDash SYSTEM_DASH

  - ### SYSTEM_DASH_DOT

    public static final PresetLineDash SYSTEM_DASH_DOT

  - ### SYSTEM_DASH_DOT_DOT

    public static final PresetLineDash SYSTEM_DASH_DOT_DOT

  - ### SYSTEM_DOT

    public static final PresetLineDash SYSTEM_DOT

  - ### NONE

    public static final PresetLineDash NONE

- ## Method Details

  - ### values

    public static PresetLineDash[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PresetLineDash valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null